PROGRAM maximum
  IMPLICIT NONE

  INTEGER :: a,b,c,d,e,m

  PRINT *, "Dwse 5 akeraious"
  READ *, a, b, c, d, e

  ! A' tropos
  m = a
  IF (b > m) m = b
  IF (c > m) m = c
  IF (d > m) m = d
  IF (e > m) m = e
  
  PRINT *, "O megistos einai", m
  
  ! B' tropos
  m = MAX(a,b,c,d,e)
  
  PRINT *, "O megistos einai", m
END PROGRAM maximum
